/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

//package com.persagy.server.meiku.controller
//
//import com.persagy.server.meiku.models.entities.MeiKu
//import com.persagy.server.meiku.models.response.SCommonResponse
//import com.persagy.server.meiku.services.MeiKuService
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.requests.SQueryRequest
//import com.persagy.service.models.requests.SUpdateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
///**
// * 图例库接口类
// *
// * @author  wx
// * @date  2020/9/18 21:53
// */
//@Tag(name = "001、图例库")
//@RestController
//@RequestMapping("/legend")
//class MeiKuController {
//
//    /**
//     * 创建图例
//     */
//    @Operation(summary= "创建图例-批量", description = "不包含状态和锚点")
//    @PostMapping("/create")
//    fun create(@RequestBody request: SCreateRequest<MeiKu>): SCreateResponse<MeiKu> {
//        return MeiKuService.createList(request)
//    } // Function create()
//
//    /**
//     * 创建图例-单个
//     */
//    @Operation(summary="创建图例-单个", description ="包含状态和锚点")
//    @PostMapping("/save")
//    fun save(@RequestBody meiku: MeiKu): SCreateResponse<MeiKu> {
//        return MeiKuService.save(meiku)
//    } // Function create()
//
//    /**
//     * 更新图例
//     */
//    @Operation(summary = "图例修改-批量", description = "不包含状态和锚点")
//    @PostMapping(value = ["/update"])
//    fun update(@RequestBody request: SUpdateRequest<MeiKu>): SBaseResponse {
//        return MeiKuService.updateList(request)
//    } // Function update()
//
//    @Operation(summary = "图例修改-单个", description = "包含状态和锚点")
//    @PostMapping(value = ["/revise"])
//    fun revise(@RequestBody meiku: MeiKu): SBaseResponse{
//        return MeiKuService.revise(meiku)
//    } // revise
//
//    /**
//     * 根据id删除图形
//     */
//    @Operation(summary = "图例删除", description = "")
//    @PostMapping(value = ["/delete"])
//    fun delete(@RequestBody idList: ArrayList<MeiKu>): SBaseResponse {
//        return MeiKuService.deleteByKeysList(idList)
//    } // Function delete()
//
//    /**
//     * 查询图形信息
//     */
//    @Operation(summary = "查询图例-批量", description = " 类型：category   级联：锚点（anchorList）状态：（state）  ")
//    @PostMapping(value = ["/query"])
//    fun query(@RequestBody request: SQueryRequest): SQueryResponse<MeiKu> {
//        return MeiKuService.pageQuery(request)
//    } // Function query()
//
//    @Operation(summary = "查询图例-单量", description = "包含状态和锚点")
//    @PostMapping(value = ["/read"])
//    fun read(@RequestBody meiku: MeiKu): SCommonResponse<MeiKu> {
//        return  MeiKuService.read(meiku)
//    } //
//
//
//} // Class MeiKuController